/*
 * File: CurrencyEntry
 * -------------------
 * This class represents one entry in the currency conversion table.
 */

public class CurrencyEntry {

/**
 * Constructs a new entry.
 * @param code The three-letter code for the currency
 * @param name The full name of the currency
 * @param rate The rate of one unit of this currency in the base currency
 */
	public CurrencyEntry(String code, String name, double rate) {
		this.code = code;
		this.name = name;
		this.rate = rate;
	}

/**
 * Returns the three-letter currency code.
 * @return The three-letter currency code
 */
	public String getCode() {
		return code;
	}

/**
 * Returns the full name of the currency.
 * @return The full name of the currency
 */
	public String getName() {
		return name;
	}

/**
 * Returns the value of one unit of the currency in the base currency (USD).
 * @return The value of one unit of the currency
 */

	public double getRate() {
		return rate;
	}

/* Instance variables */
	private String code;
	private String name;
	private double rate;

}
